Subject: Re: [PATCH net-next v2 4/4] net: dsa: hellcreek: Add devlink FDB region

From: Kurt Kanzenbach <[email-masked]>
Date: Sun, 14 Mar 2021 14:00:50 +0100

On Sat Mar 13 2021, Vladimir Oltean wrote:
> On Sat, Mar 13, 2021 at 10:39:39AM +0100, Kurt Kanzenbach wrote:
>> Allow to dump the FDB table via devlink. This is a useful debugging feature.
>> 
>> Signed-off-by: Kurt Kanzenbach <[email-masked]>
>> Reviewed-by: Andrew Lunn <[email-masked]>
>> ---
>
> Reviewed-by: Vladimir Oltean <[email-masked]>
>
> By the way, what user space program do you use to dump these? Did you
> derive something from Andrew's mv88e6xxx_dump too? Maybe we should work
> on something common?

Actually there is no user space tooling, yet. My original approach to
debugging was different using debugfs and tracing. I played a bit with
mv88e6xxx_dump today. Having a common tool would be quite nice.

Thanks,
Kurt